# Class TCefUrlrequestClientRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFUrlrequestClient

## Declaration

`type TCefUrlrequestClientRef = class(TCefBaseRefCountedRef, ICefUrlrequestClient)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefUrlrequestClientRef

## Overview

### Methods

| `procedure OnRequestComplete(const request: ICefUrlRequest);`
| `procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64);`
| `procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);`
| `procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);`
| `function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;`
| `procedure RemoveReferences;`
| `class function UnWrap(data: Pointer): ICefUrlrequestClient;`

## Description

### Methods

| `procedure OnRequestComplete(const request: ICefUrlRequest);`
This item has no description. Showing description inherited from ICefUrlrequestClient.OnRequestComplete. Notifies the client that the request has completed. Use the ICefUrlRequest.GetRequestStatus function to determine if the request was successful or not.

| `procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64);`
This item has no description. Showing description inherited from ICefUrlrequestClient.OnUploadProgress. Notifies the client of upload progress. |current| denotes the number of bytes sent so far and |total| is the total size of uploading data (or -1 if chunked upload is enabled). This function will only be called if the UR_FLAG_REPORT_UPLOAD_PROGRESS flag is set on the request.

| `procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);`
This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadProgress. Notifies the client of download progress. |current| denotes the number of bytes received up to the call and |total| is the expected total size of the response (or -1 if not determined).

| `procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);`
This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadData. Called when some part of the response is read. |data| contains the current bytes received since the last call. This function will not be called if the UR_FLAG_NO_DOWNLOAD_DATA flag is set on the request.

| `function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;`

This item has no description. Showing description inherited from ICefUrlrequestClient.OnGetAuthCredentials.

Called on the IO thread when the browser needs credentials from the user. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. Return true (1) to continue the request and call ICefAuthCallback.cont() when the authentication information is available. If the request has an associated browser/frame then returning false (0) will result in a call to GetAuthCredentials on the ICefRequestHandler associated with that browser, if any. Otherwise, returning false (0) will cancel the request immediately. This function will only be called for requests initiated from the browser process.

| `procedure RemoveReferences;`
This item has no description. Showing description inherited from ICefUrlrequestClient.RemoveReferences. Custom procedure to clear all references.

| `class function UnWrap(data: Pointer): ICefUrlrequestClient;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.